searchData={"items":[{"type":"module","title":"SimpleSat","doc":"A simple, dependency free boolean satisfiability solver.\n\nThis was created for folks having trouble running `picosat_elixir`\nto use as a drop-in replacement for Ash Framework, but feel free to use it in\nany way you see fit.\n\nSimpleSat expects to receive a list of lists of integers, where each integer\nrepresents a variable. If the integer is negative, it represents the negation\nof said variable.\n\nAdditionally, SimpleSat expects to receive variables in \"Conjunctive Normal Form\" or CNF.\nThis is the same interface that `picosat_elixir` expects. CNF is a conjunction of disjunctions.\nIn other words, it is a list of statements that must *all be true*, where each statement is a list of\nvariables where at *least one must be true*. For example:\n\n```elixir\n# A AND (NOT A)\n[[1], [-1]]\n\n# A AND (A OR B)\n[[1], [1, 2]]\n\n# A AND B AND C\n[[1], [2], [3]]\n```","ref":"SimpleSat.html"},{"type":"function","title":"SimpleSat.solve/1","doc":"Provide a valid solution for a statement in CNF form","ref":"SimpleSat.html#solve/1"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,49,46,49]}}